(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'requireindex', './config/recommended'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('requireindex'), require('./config/recommended'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.requireindex, global.recommended);
    global.index = mod.exports;
  }
})(this, function (exports, _requireindex, _recommended) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.rules = exports.config = undefined;

  var _requireindex2 = _interopRequireDefault(_requireindex);

  var _recommended2 = _interopRequireDefault(_recommended);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  /**
   * @fileoverview some
   * @author Amila Welihinda
   * 
   */

  //------------------------------------------------------------------------------
  // Requirements
  //------------------------------------------------------------------------------

  var config = exports.config = {
    recommended: _recommended2.default
  };

  //------------------------------------------------------------------------------
  // Plugin Definition
  //------------------------------------------------------------------------------


  // import all rules in lib/rules
  // eslint-disable-line flowtype-errors/show-errors
  var rules = exports.rules = (0, _requireindex2.default)(__dirname + '/rules');
});